Take the integer part of nth root

- « gmp_random

- gmp_rootrem »

- PHP Manual
- GMP Functions
- Take the integer part of nth root

# gmp_root

(PHP 5 >= 5.6.0, PHP 7, PHP 8)

gmp_root — Take the integer part of nth root

### Description

gmp_root(GMP|int|string `$num`, int `$nth`): GMP

Takes the `nth` root of `num` and returns the integer component of the result.

### Parameters

`num`

  A GMP object, an int or a numeric string.

`nth`

  The positive root to take of `num`.

### Return Values

The integer component of the resultant root, as a GMP number.